org.apache.ignite.internal.visor.query

## Class VisorQueryResult

- java.lang.Object
- - org.apache.ignite.internal.visor.query.VisorQueryResult

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  VisorQueryResultEx

    public class VisorQueryResult
    extends Object
    implements Serializable

Result for cache query tasks.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`VisorQueryResult(List<Object[]> rows, boolean hasMore, long duration)` Create task result with given parameters

### Method Summary

Methods
`long` `duration()`
`boolean` `hasMore()`
`List<Object[]>` `rows()`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### VisorQueryResult

    public VisorQueryResult(List<Object[]> rows,
                    boolean hasMore,
                    long duration)

Create task result with given parameters

Parameters:
  `rows` - Rows fetched from query.
  `hasMore` - Whether query has more rows to fetch.
  `duration` - Query duration.

### Method Detail

#### rows

    public List<Object[]> rows()

Returns:
  Rows fetched from query.

#### hasMore

    public boolean hasMore()

Returns:
  Whether query has more rows to fetch.

#### duration

    public long duration()

Returns:
  Duration of next page fetching.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.1.0-incubating
Release Date | : May 20 2015